Subject: bug#27670: emacs hangs

From: zhanghj <[email-masked]>
Date: Fri, 14 Jul 2017 23:20:24 +0800

Keeping pressing the "down" key may be not sufficient on high
performance computers. You can replace the "down" key with the
"pagedown" key.

The operation on emacs now:
Keep pressing the "pagedown" key. When emacs lags, keep pressing the
"down" key.

Repeat the above operation. Emacs finally hangs and can't recover after
about 10 minutes. 10 minutes later after I close the busy rxvt window,
emacs still hangs (with no cpu usage). It seems that it will never
recover.

When it hangs, I can't close the emacs window because it doesn't
respond. I can only kill the emacs process.

I reproduced the problem more than 3 times on my linux machine recently.
Now I can't do heavy work on emacs, when my console app is outputing too
many logs in tmux (in rxvt), because emacs may hangs.